# Assemble

API Documentation: | `Assemble`

Note: This class is incubating and may change in a future version of Gradle.

Translates Assembly language source files into object files.

### Properties

Property | Description
`assemblerArgs` | Incubating Additional arguments to provide to the assembler.
`objectFileDir` | Incubating The directory where object files will be generated.

### Property details

#### ``List`<`String`>` `assemblerArgs`

Note: This property is incubating and may change in a future version of Gradle.

Additional arguments to provide to the assembler.

#### `File` `objectFileDir`

Note: This property is incubating and may change in a future version of Gradle.

The directory where object files will be generated.

### Script blocks

No script blocks

### Methods

Method | Description
`source(sourceFiles)` | Incubating Adds a set of assembler sources files to be translated. The provided sourceFiles object is evaluated as per `Project.files()`.

### Method details

#### `void` `source`(`Object` sourceFiles)

Note: This method is incubating and may change in a future version of Gradle.

Adds a set of assembler sources files to be translated. The provided sourceFiles object is evaluated as per `Project.files()`.